# Add a site template to favorites

Adds a site template to your list of favorites

Endpoint: POST /api/v1/favorites/sitetemplates
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    The input model.

## Request fields (application/json):

  - `favoriteSiteTemplateId` (string, required)
    The site template identifier.
Example value: 5aae1eeaea2440bf96f11f43da82c77b
    Example: 5aae1eeaea2440bf96f11f43da82c77b

## Response 201:

  - `201` (unknown)
    Success

## Response 201 fields (application/json):

  - `createdAt` (string)
    The date and time when the favorite was created.

  - `favoriteEntityId` (string)
    The unique identifier of the favorited entity.
Example value: 79d30e03fdaa44fda1aa03c731fe44e4
    Example: 79d30e03fdaa44fda1aa03c731fe44e4

  - `favoriteEntityType` (string)
    The type of the favorited entity.
Example value: Site
    Example: Site

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

